> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/list-available-data-source-integrations.md).

# 列出可用的数据源集成

{% openapi src="/files/MHZeBzqvJFrULa5h2LlV" path="/integrations/" method="get" %}
[rememberizer\_openapi.yml](https://1371168417-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4gvX7KIUy0DhcQETj8Ux%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=cce1ab0d-330f-4bed-b7da-5635aaf25472)
{% endopenapi %}

## 示例请求

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/integrations/ \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getIntegrations = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/integrations/', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer YOUR_JWT_TOKEN'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getIntegrations();
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_integrations():
    headers = {
        "Authorization": "Bearer YOUR_JWT_TOKEN"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/integrations/",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_integrations()
```

{% hint style="info" %}
将 `YOUR_JWT_TOKEN` 替换为您的实际 JWT 令牌。
{% endhint %}
{% endtab %}
{% endtabs %}

## 响应格式

```json
{
  "data": [
    {
      "id": 101,
      "integration_type": "google_drive",
      "integration_step": "authorized",
      "source": "user@example.com",
      "document_type": "drive",
      "document_stats": {
        "status": {
          "indexed": 250,
          "indexing": 5,
          "error": 2
        },
        "total_size": 15000000,
        "document_count": 257
      },
      "consent_time": "2023-06-15T10:30:00Z",
      "memory_config": null,
      "token_validity": true
    },
    {
      "id": 102,
      "integration_type": "slack",
      "integration_step": "authorized",
      "source": "workspace-name",
      "document_type": "channel",
      "document_stats": {
        "status": {
          "indexed": 45,
          "indexing": 0,
          "error": 0
        },
        "total_size": 5000000,
        "document_count": 45
      },
      "consent_time": "2023-06-16T14:45:00Z",
      "memory_config": null,
      "token_validity": true
    }
  ],
  "message": "成功检索集成",
  "code": "success"
}
```

此端点检索当前用户所有可用数据源集成的列表。响应包括有关每个集成的详细信息，包括集成类型、状态和文档统计信息。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/list-available-data-source-integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
